/*global $,owl,smoothScroll,AOS,alert*/
$(document).ready(function () {
    "use strict";

    /* ---------------------------------------------
     Loader Screen
    --------------------------------------------- */
    $(window).load(function () {
        $("body").css('overflow-y', 'auto');
        $('#loading').fadeOut(1000);
    });


    $('[data-tool="tooltip"]').tooltip({
        trigger: 'hover',
        animate: true,
        delay: 50,
        container: 'body'
    });



    smoothScroll.init({
        speed: 800,
        updateURL: false,
        offset: 50
    });
    /* ---------------------------------------------
     Scrool To Top Button Function
    --------------------------------------------- */
    $(window).scroll(function () {
        if ($(this).scrollTop() > 500) {
            $(".toTop").css("right", "20px");
        } else {
            $(".toTop").css("right", "-60px");
        }
    });

    $(".toTop").click(function () {
        $("html,body").animate({
            scrollTop: 0
        }, 500);
        return false;
    });


    //customize the header
    $(window).scroll(function () {
        if ($(this).scrollTop() > 0) {
            $('.main-head, .search-form').addClass('sticky');
        } else {
            $('.main-head, .search-form').removeClass('sticky');
        }
    });

    $('[data-fancybox]').fancybox();

    $(".prods-slider").owlCarousel({
        nav: false,
        loop: true,
        dots: true,
        autoplay: 4000,
        items: 4.2,
        autoplayHoverPause: true,
        center: true,
        responsiveClass: true,
        responsive: {
            0: {
                items: 1
            },
            600: {
                items: 2
            },
            1000: {
                items: 4.2
            }
        }
    });
    $(".cls-slider").owlCarousel({
        nav: false,
        loop: true,
        dots: true,
        autoplay: 4000,
        items: 5,
        autoplayHoverPause: true,
        center: true,
        responsiveClass: true,
        responsive: {
            0: {
                items: 1
            },
            600: {
                items: 2
            },
            1000: {
                items: 5
            }
        }
    });
    $(".test-slider").owlCarousel({
        nav: false,
        loop: true,
        dots: true,
        autoplay: 4000,
        items: 4.2,
        autoplayHoverPause: true,
        center: true,
        responsiveClass: true,
        responsive: {
            0: {
                items: 1
            },
            600: {
                items: 2
            },
            1000: {
                items: 4.2
            }
        }
    });


    $(".hero-slider").owlCarousel({
        nav: true,
        loop: true,
        navText: ["<i class='fa fa-caret-left'></i>", "<i class='fa fa-caret-right'></i>"],
        dots: true,
        autoplay: 30000,
        items: 1,
        //        slideTransition: 'linear',

        smartSpeed: 50000,
        mouseDrag: false,
        //        navSpeed: 5000,
        //        autoplaySpeed: 10000,
        animateIn: 'fadeIn',
        animateOut: 'fadeOut',
        autoplayHoverPause: true
    });

    $(".serv-slider").owlCarousel({
        nav: false,
        loop: true,
        navText: ["<i class='fa fa-caret-left'></i>", "<i class='fa fa-caret-right'></i>"],
        dots: true,
        autoplay: false,
        items: 1,
        mouseDrag: false
    });

    $('.open-menu').click(function () {
        $('.org').slideToggle();
    });



    $('.org,.open-menu').click(function (e) {
        e.stopPropagation();
    });

    var windowWidth = $(window).width();
    if (windowWidth <= 1024) {
        $('body').click(function () {
            $('.org').slideUp();
        });
    }


    // for upload file
    $(document).on('change', ':file', function () {
        var input = $(this),
            numFiles = input.get(0).files ? input.get(0).files.length : 1,
            label = input.val().replace(/\\/g, '/').replace(/.*\//, '');
        input.trigger('fileselect', [numFiles, label]);
    });
    $(':file').on('fileselect', function (event, numFiles, label) {

        var input = $(this).parents('.input-group').find(':text'),
            log = numFiles > 1 ? numFiles + ' files selected' : label;

        if (input.length) {
            input.val(log);
        } else {
            if (log) alert(log);
        }
    });

    $('.form-control').focus(function () {
        $(this).parents('.form-group').addClass('focused');
    });

    $('.form-control').blur(function () {
        var inputValue = $(this).val();
        if (inputValue == "") {
            $(this).removeClass('filled');
            $(this).parents('.form-group').removeClass('focused');
        } else {
            $(this).addClass('filled');
        }
    });


    $('.open-menu').click(function () {
        $('.mob-menu').addClass('active');
    });

    $('.cl-menu,.mob-menu a').click(function () {
        $('.mob-menu').removeClass('active');
    });

    //customize the header
    $(window).scroll(function () {
        if ($(this).scrollTop() > 50) {
            $('.serv-sticky').addClass('up');
        } else {
            $('.serv-sticky').removeClass('up');
        }
    });

    $('.order').click(function () {
        $('.ask-form').show();
        $('.cl-sticky').show();
        $('.ask-head').hide();
        $('.serv-sticky').addClass('upup');
    });

    $('.cl-sticky').click(function () {
        $('.ask-form').hide();
        $(this).hide();
        $('.ask-head').show();
        $('.serv-sticky').removeClass('upup');
    });

    $('.side-nav').mCustomScrollbar({
        autoHideScrollbar: false,
        setTop: 0,
        scrollInertia: 50,
        theme: "light-1"
    });

    $('.open-sidebar').on('click', function () {
        $('.sidebar').toggleClass('opened');
        $('.overlay_gen').fadeIn();
        $('body').addClass('sided');
    });

    $('.overlay_gen').on('click', function () {
        $('.sidebar').toggleClass('opened');
        $('.overlay_gen').fadeOut();
        $('body').removeClass('sided');
    });

    $('.open-search, .search-form,.mega-on,.mega-off,.mega-menu-mobile').on("click", function (e) {
        e.stopPropagation();
    });

    $('.open-search').click(function () {
        $('.search-form').addClass('active');
    });

    $('body').click(function () {
        $('.search-form').removeClass('active');
    });



    $('.mega-on').click(function () {
        $('.mega-menu-mobile').addClass('opened');
    });

    $('.mega-off').click(function () {
        $('.mega-menu-mobile').removeClass('opened');
    });


});